version: '3.8'

services:
  db:
    image: postgres:15
    container_name: postgres_db
    environment:
      POSTGRES_USER: django_user
      POSTGRES_PASSWORD: secure_password
      POSTGRES_DB: django_db
    ports:
      - "5433:5432"
    volumes:
      - postgres_data:/var/lib/postgresql/data
    networks:
      - django_network

  adminer:
    image: adminer
    container_name: adminer
    ports:
      - "8080:8080"
    networks:
      - django_network

volumes:
  postgres_data:

networks:
  django_network:
    driver: bridge